package com.hw.ems.base.mapper;


import com.hw.ems.base.domain.BaseMonitorPublic;

import java.util.List;

/**
 * 公摊用户和具关系Mapper接口
 *
 * @author yangwl
 * @date 2023-04-25
 */
public interface BaseMonitorPublicMapper
{
    /**
     * 查询公摊用户和具关系
     *
     * @param monitorId 公摊用户和具关系主键
     * @return 公摊用户和具关系
     */
    public BaseMonitorPublic selectBaseMonitorPublicByMonitorId(String monitorId);

    /**
     * 查询公摊用户和具关系列表
     *
     * @param baseMonitorPublic 公摊用户和具关系
     * @return 公摊用户和具关系集合
     */
    public List<BaseMonitorPublic> selectBaseMonitorPublicList(BaseMonitorPublic baseMonitorPublic);

    /**
     * 新增公摊用户和具关系
     *
     * @param baseMonitorPublic 公摊用户和具关系
     * @return 结果
     */
    public int insertBaseMonitorPublic(BaseMonitorPublic baseMonitorPublic);

    /**
     * 修改公摊用户和具关系
     *
     * @param baseMonitorPublic 公摊用户和具关系
     * @return 结果
     */
    public int updateBaseMonitorPublic(BaseMonitorPublic baseMonitorPublic);

    /**
     * 删除公摊用户和具关系
     *
     * @param monitorId 公摊用户和具关系主键
     * @return 结果
     */
    public int deleteBaseMonitorPublicByMonitorId(String monitorId);

    public int deleteBaseMonitorPublicById(Long id);

    /**
     * 批量删除公摊用户和具关系
     *
     * @param monitorIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseMonitorPublicByMonitorIds(String[] monitorIds);

    public int batchMonitorPublic(List<BaseMonitorPublic> list);
}
